Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.deploy.api.shared
Class WebLogicCommandType

    java.lang.Object
      javax.enterprise.deploy.shared.CommandType
          weblogic.deploy.api.shared.WebLogicCommandType

    public class WebLogicCommandType

extends CommandType

Extends CommandType to provide additional DeploymentManager commands for WebLogic Server.

Field Summary
`static WebLogicCommandType` | `ACTIVATE` Deprecated. inluded in support of 8.1 operations. Same behavior as `WebLogicCommandType.DEPLOY`
`static WebLogicCommandType` | `DEACTIVATE` Deprecated. inluded in support of 8.1 operations. Same behavior as `CommandType.STOP`
`static WebLogicCommandType` | `DEPLOY` The DeploymentManager action operation being processed is deploy.
`static WebLogicCommandType` | `REMOVE` Deprecated. inluded in support of 8.1 operations. Same behavior as `CommandType.UNDEPLOY`
`static WebLogicCommandType` | `UPDATE` The DeploymentManager action operation being processed is update configuration

Fields inherited from class javax.enterprise.deploy.shared.CommandType
`DISTRIBUTE, REDEPLOY, START, STOP, UNDEPLOY`

Method Summary
`static CommandType` | `getCommandType(int i)` Returns the CommandType object associated with the specified ordinal value.
`int` | `getValue()` Returns the enumeration value for this WebLogicCommandType object.
`String` | `toString()`

Methods inherited from class javax.enterprise.deploy.shared.CommandType
`getEnumValueTable, getOffset, getStringTable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEPLOY

    public static final WebLogicCommandType DEPLOY

  The DeploymentManager action operation being processed is deploy.

### UPDATE

    public static final WebLogicCommandType UPDATE

  The DeploymentManager action operation being processed is update configuration

### DEACTIVATE

    public static final WebLogicCommandType DEACTIVATE

  Deprecated. inluded in support of 8.1 operations. Same behavior as `CommandType.STOP`
  The DeploymentManager action operation being processed is deactivate.

### REMOVE

    public static final WebLogicCommandType REMOVE

  Deprecated. inluded in support of 8.1 operations. Same behavior as `CommandType.UNDEPLOY`
  The DeploymentManager action operation being processed is remove

### ACTIVATE

    public static final WebLogicCommandType ACTIVATE

  Deprecated. inluded in support of 8.1 operations. Same behavior as `WebLogicCommandType.DEPLOY`
  The DeploymentManager action operation being processed is activate

Method Detail

### getValue

    public int getValue()

  Returns the enumeration value for this WebLogicCommandType object.

  Overrides:
    `getValue` in class `CommandType`

### getCommandType

    public static CommandType getCommandType(int i)

  Returns the CommandType object associated with the specified ordinal value.

### toString

    public String toString()

  Overrides:
    `toString` in class `CommandType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD